Get list of orders

Returns a list of orders.

For enterprise organizations, orders where the logged-in organization is the customer will be returned. For parent organizations, orders where the logged-in organizations is the issuer or the reseller will be returned.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Query parameters

qstringOptional
Filter parameter in `<field><operator><value>` format. Expects comma separated list of filtering criteria out of the following fields: - `id` Supported operators: - `:`: equal - `!:`: not equal - `>`: greater than - `>=`: greater than or equal - `<`: less than - `<=`: less than or equal - `^~`: like - `submit_date` Supported operators: - `:`: equal - `>`: greater than - `>=`: greater than or equal - `<`: less than - `<=`: less than or equal - `status` Possible values: - `0`: EDITING - `1`: SUBMITTED - `2`: SHIPPED - `3`: DELIVERED - `4`: CANCELED Supported operators: - `:`: equal - `!:`: not equal - `>`: greater than - `>=`: greater than or equal - `<`: less than - `<=`: less than or equal - `paid` Possible values: - `0`: unpaid - `1`: paid Supported operators: - `:`: equal - `!:`: not equal
sortstringOptional
Sorting parameter in `<operator><field>` format. Sort properties according to a comma-separated list from the allowed fields: - `id` - `submit_date` - `total_amount` Supported operators: - `-`: descending order - `+`: ascending order If no operator is supplied, ascending order will be applied. If no sorting options are supplied, the response will be sorted by `submit_date` in descending order, meaning the newest order will be listed first.
per_pageintegerOptional
Defines the number of items per page
pageintegerOptional
Current page number

Response headers

X-pageinteger
The current page number
X-per-pageinteger
Number of orders per page
X-pagesinteger
Total number of pages
X-countinteger
Total count of orders

Response

OK
linelist of objects or null
paidboolean or null
statusobject or null
customer_organisationobject or null
customer_userobject or null
shipping_optionobject or null
shipped_withobject or null
payment_optionobject or null
invoice_addressobject or null
shipping_addressobject or null
currencyobject or null
submit_datestring or nullformat: "date-time"
shipped_datestring or nullformat: "date-time"
delivered_datestring or nullformat: "date-time"
external_payment_referencestring or null
external_shipping_referencestring or null
totaldouble or null
vatdouble or null
vat_ratedouble or null
metaobject or null
auto_provisioningboolean or null
purchase_order_numberstring or null

Errors